#~~~~ Path declaration
func.path = getwd()
data.path = file.path(getwd(),"output")

conf<-c('conf1' = "^m3\\w*conf1{1}[^0-9]\\w",
        'conf6' = "^m3\\w*conf6{1}[^0-9]\\w",
        'conf7' = "^m3\\w*conf7{1}[^0-9]\\w",
        'conf8' = "^m3\\w*conf8{1}[^0-9]\\w",
        'conf9' = "^m3\\w*conf9{1}[^0-9]\\w",
        'conf10' = "^m3\\w*conf10{1}[^0-9]\\w",
        'conf11' = "^m3\\w*conf11{1}[^0-9]\\w",
        'conf12' = "^m3\\w*conf12{1}[^0-9]\\w",
        'conf13' = "^m3\\w*conf13{1}[^0-9]\\w",
        'conf14' = "^m3\\w*conf14{1}[^0-9]\\w")

#~~~~ sourcing functions
source(file.path(func.path,"EMS-Functions.R"))

#~~~~ auxiliary sim files
calcTimeScale(data.path_fl = data.path, 
              data.save = data.path, 
              DBname = paste("all_m3_", "conf1", sep=""),  #Topology to simulate. It admits numbers in c=(1, 6,7,8,9,10,11,12,13,14)
              model = "m3", 
              ticks.stop = 120, 
              disc.rate = 0.05, 
              pattern = conf[["conf1"]], 
              CoresNumber = 4) #number of CPU cores available